Skip to main content
`Ctrl`+`K`

# PetscMallocPopMaximumUsage

collect the maximum memory usage over an event

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscMallocPopMaximumUsage(int event, PetscLogDouble *mu)

Not Collective

## Input Parameter

- event - an event id; this is just for error checking

## Output Parameter

- mu - maximum amount of memory malloced during this event; high water mark relative to the beginning of the event

## Note

This only does anything if `PetscMemorySetGetMaximumUsage()`, `-memory_view`, or `-log_view_memory` have been used

## See Also

`PetscMallocDump()`, `PetscMallocView()`, `PetscMallocGetMaximumUsage()`, `PetscMemoryGetCurrentUsage()`, `PetscMalloc()`, `PetscFree()`, `PetscMallocPushMaximumUsage()`

## Level

developer

## Location

src/sys/memory/mtr.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages